cxf-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From GitBox <>
Subject [GitHub] jimma commented on issue #365: [CXF-7520]:Ensure CXF can build with JDK9 GA(build 9+181)
Date Thu, 01 Jan 1970 00:00:00 GMT
jimma commented on issue #365: [CXF-7520]:Ensure CXF can build with JDK9 GA(build 9+181)
   > The deps are scope=provided so they shouldn't affect anyone downstream as they won't
be pulled in. Thus, the profile is likely not needed.
   > HOWEVER, there is an issue at runtime if the com.sun.xml.bind.marshaller.CharacterEscapeHandler
class is not found (example: using in JDK version of jaxb instead of the jar), then the writer
won't be createable at all and everything will fail.
   @dkulp  I saw the provided scope is set in cxf-core, so I set the same thing. I think this
can allow downstream to use the jaxb version from the place like tomcat container lib or user
provided a higher jaxb version than 2.2.11 to quickly pick up some jaxb issue fix.  But it
looks currently cxf can't compile or run with JDK's jaxb version because cxf core already
depends on jaxb impl class NamespacePrefixMapper :

This is an automated message from the Apache Git Service.
To respond to the message, please log on GitHub and use the
URL above to go to the specific comment.
For queries about this service, please contact Infrastructure at:

With regards,
Apache Git Services

View raw message